<vn>
<vn-group>
	<db-form id="ticket">
		<db-model property="model" id="ticket-data" conn="conn" lot="hash">
			CALL clientTicketGet(#ticket)
		</db-model>
	</db-form>
</vn-group>
<div id="report" class="sheet">
	<h2>
		<htk-text name="id" lot="ticket"/>
	</h2>
	<div class="header">
		<p>
			<htk-text lot="ticket" name="consignee"/>
		</p>
		<p>
			<htk-text lot="ticket" name="date" format="%D"/>
		</p>
		<p>
			<htk-text lot="ticket" name="name"/>
		</p>
		<p>
			<htk-text lot="ticket" name="zip_code"/> 
			<htk-text lot="ticket" name="city"/> 
			(<htk-text lot="ticket" name="province"/>)
		</p>
		<p>
			_Delivery <htk-text lot="ticket" name="Agencia"/>
		</p>
	</div>
	<htk-grid>
		<db-model property="model" id="movements" conn="conn" lot="hash">
			CALL clientTicketRowGet(#ticket)
		</db-model>
		<htk-column-spin title="_Ref" column="item"/>
		<htk-column-spin title="_Amount" column="amount"/>
		<htk-column-text title="_Item" column="concept"/>
		<htk-column-text title="_S1" column="Medida"/>
		<htk-column-text title="_Cat" column="Categoria"/>
		<htk-column-text title="_Color" column="Color"/>
		<htk-column-spin title="_Price" column="price" unit="€" digits="2"/>
		<htk-column-spin title="_Import" unit="€" digits="2" renderer="subtotalRenderer"/>
	</htk-grid>
	<div class="footer">
		<p>
			_Total 
			<htk-text lot="ticket" name="total" format="%.2d€"/>
		</p>
		<p>
			_Total + VAT 
			<htk-text lot="ticket" name="totalPlusVat" format="%.2d€"/>
		</p>
	</div>
</div>
</vn>
